<?php
// Test script; shows lines from CSV log file.
// NOT INTENDED FOR LARGE LOG FILES!
// Tom.Verhoeff (at) dse (dot) nl

require_once("bbg_const_test.php");

// Read in the log file.
$lines = file($logpath);

?>
<html>
<head>
<title>Big Brother GPS: View Test</title>
</head>
<body>
<h1>Big Brother GPS: View Test</h1>
<p>
<table border="1" cellpadding="3">
<tr>
  <th><a href="readme.html">Instructions</a>
  <th><a href="bbg_view_test.php">View log</a>
  <th><a href="bbg_send_test.php">Send data ...</a>
</table>

<p>
CSV log file: <code><?=$logpath?></code>
<p>
Filtering is <?php
    if ($filter) {
        echo "ON: Invalid data records are not logged.\n";
    } else {
        echo "OFF: All data records are logged.\n";
    }
?>
<p>
<a href="http://www.onlineconversion.com/unix_time.htm">Unix timestamp conversion</a>
<p>
<table border=1" cellpadding="3">
  <tr>
    <th>Line
    <th>Server<br>Time
    <th>Client<br>Time
    <th>Latitude
    <th>Longitude
    <th>Accuracy
    <th>Altitude
    <th>Provider
    <th>Bearing
    <th>Speed
    <th>Battlevel
    <th>Charging
    <th>Secret
    <th>Deviceid
    <th>Subscriberid
<?php
    for ($i = 0; $i < count($lines); $i++) {
        $linenr = $i + 1;
        $fields = explode(",", $lines[$i]);
        $num = count($fields);
        echo "  <tr>\n    <td>".$linenr."\n";
        echo "    <td>".gmstrftime("%Y-%m-%d %H:%M:%SZ", $fields[0])."\n";

        for ($c = 1; $c < $num; $c++) {
            echo "    <td>".$fields[$c]."\n";
        }
    }
?>
</table>
</body>
</html>
