<?php
// Test version of receiver script; logs all fields in a CSV file.
// Tom.Verhoeff (at) dse (dot) nl

require_once("bbg_const_test.php");

?>
<html>
<head>
<title>Big Brother GPS: Receive Test</title>
</head>
<body>
<h1>Big Brother GPS: Receive Test</h1>
<p>
<table border="1" cellpadding="3">
<tr>
  <th><a href="readme.html">Instructions</a>
  <th><a href="bbg_view_test.php">View log</a>
  <th><a href="bbg_send_test.php">Send data ...</a>
</table>
<p>
CSV log file: <code><?=$logpath?></code>
<p>
Filtering is <?php
    if ($filter) {
        echo "ON: Invalid data records are not logged.\n";
    } else {
        echo "OFF: All data records are logged.\n";
    }
?>
<?php

// Get the position data from the POST parameters.
$lat = $_POST["latitude"];
$lon = $_POST["longitude"];
$acc = $_POST["accuracy"];

// Get the optional data (see the BBG app settings on phone).
$alt = $_POST["altitude"];
$prv = $_POST["provider"];
$brg = $_POST["bearing"];
$spd = $_POST["speed"];
$tim = $_POST["time"];
$bat = $_POST["battlevel"];
$chg = $_POST["charging"];
$sec = $_POST["secret"];
$dev = $_POST["deviceid"];
$sub = $_POST["subscriberid"];

// Compose log line.
$time = time(); // Include server time as well.
$out = "$time,$tim,$lat,$lon,$acc,$alt,$prv,$brg,$spd,$bat,$chg,$sec,$dev,$sub";

// Append the data to the log file. 
if (! $filter || $lat && $lon && $acc) { // Can also check $sec.
    $f = fopen($logpath, "a");
    if ($f === FALSE) {
        echo "<p>Could not open <code>$logpath</code>.\n";
    } else {
        echo "<p>Opened <code>$logpath</code> for appending.\n";
        fputs($f, $out."\n");
        fclose($f);
        echo "<p>Appended: <code>".$out."</code>\n";
    }
} else {
    echo "<p>Invalid data not logged: <code>".$out."</code>\n";
}

?>
</body>
</html>
